summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Mikko Värri2014-01-12 01:38:30 +0100
committer Erik Hanson2014-01-30 06:20:59 +0100
commita0a28ae2db36f2f6c64f0182f837625b4ddac2c0 (patch)
treea1d49af6862bd5a53c2f70024dec45e27fab4460 /perl
parent2a18e9051c24a088f59d97401c36fea56ff58353 (diff)
downloadslackbuilds-a0a28ae2db36f2f6c64f0182f837625b4ddac2c0.tar.gz
perl/perl-IPC-DirQueue: Added (many-to-many queueing system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-IPC-DirQueue/README5
-rw-r--r--perl/perl-IPC-DirQueue/perl-IPC-DirQueue.SlackBuild84
-rw-r--r--perl/perl-IPC-DirQueue/perl-IPC-DirQueue.info10
-rw-r--r--perl/perl-IPC-DirQueue/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/perl/perl-IPC-DirQueue/README b/perl/perl-IPC-DirQueue/README
new file mode 100644
index 0000000000..69be495917
--- /dev/null
+++ b/perl/perl-IPC-DirQueue/README
@@ -0,0 +1,5 @@
+This module implements a FIFO queueing infrastructure, using a
+directory as the communications and storage media. No daemon
+process is required to manage the queue; all communication takes
+place via the filesystem.
+
diff --git a/perl/perl-IPC-DirQueue/perl-IPC-DirQueue.SlackBuild b/perl/perl-IPC-DirQueue/perl-IPC-DirQueue.SlackBuild
new file mode 100644
index 0000000000..83edd705b0
--- /dev/null
+++ b/perl/perl-IPC-DirQueue/perl-IPC-DirQueue.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for IPC-DirQueue
+
+# Copyright 2014 Mikko Värri, Finland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-IPC-DirQueue
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+#make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-IPC-DirQueue/perl-IPC-DirQueue.info b/perl/perl-IPC-DirQueue/perl-IPC-DirQueue.info
new file mode 100644
index 0000000000..ea0748c147
--- /dev/null
+++ b/perl/perl-IPC-DirQueue/perl-IPC-DirQueue.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-IPC-DirQueue"
+VERSION="1.0"
+HOMEPAGE="http://search.cpan.org/~jmason/IPC-DirQueue/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/J/JM/JMASON/IPC-DirQueue-1.0.tar.gz"
+MD5SUM="1fc4640118a333f2d4a8a45f37297995"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
diff --git a/perl/perl-IPC-DirQueue/slack-desc b/perl/perl-IPC-DirQueue/slack-desc
new file mode 100644
index 0000000000..118aa71f80
--- /dev/null
+++ b/perl/perl-IPC-DirQueue/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-IPC-DirQueue: perl-IPC-DirQueue (disk-based many-to-many queueing system)
+perl-IPC-DirQueue:
+perl-IPC-DirQueue: This module implements a FIFO queueing infrastructure, using a
+perl-IPC-DirQueue: directory as the communications and storage media. No daemon
+perl-IPC-DirQueue: process is required to manage the queue; all communication takes
+perl-IPC-DirQueue: place via the filesystem.
+perl-IPC-DirQueue:
+perl-IPC-DirQueue:
+perl-IPC-DirQueue:
+perl-IPC-DirQueue:
+perl-IPC-DirQueue: